using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    /// <summary>
	/// T_Sys_OperateLogs
	/// </summary>
	public partial class T_Sys_OperateLogs
    {
        private readonly CallCenterApi.DAL.T_Sys_OperateLogs dal = new CallCenterApi.DAL.T_Sys_OperateLogs();
        public T_Sys_OperateLogs()
        { }
        #region  BasicMethod
        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Sys_OperateLogs model)
        {
            return dal.Add(model);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Sys_OperateLogs> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Sys_OperateLogs> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Sys_OperateLogs> modelList = new List<CallCenterApi.Model.T_Sys_OperateLogs>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Sys_OperateLogs model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }

        #endregion  BasicMethod
        #region  ExtensionMethod
        public int AddOptLog(string module,string optuser,string optip,string des,string optcode,string tables,string optid)
        {
            Model.T_Sys_OperateLogs optmodel = new Model.T_Sys_OperateLogs();
            optmodel.F_Module = module;
            optmodel.F_OptBy = optuser;
            optmodel.F_OptOn = DateTime.Now;
            optmodel.F_OptIP = optip;
            optmodel.F_OptCode = optcode;
            optmodel.F_OptTables = tables;
            optmodel.F_OptID = optid;
            optmodel.F_Descript = des;
            return Add(optmodel);
        }
        #endregion  ExtensionMethod
    }
}
